### Method

# Gimp Unit get_id

#### Declaration [src]

    gint32
    gimp_unit_get_id (
      GimpUnit* unit
    )

#### Description [src]

The ID can be used to retrieve the unit with `gimp_unit_get_by_id()`.

Note that this ID will be stable within a single session of GIMP, but you should not expect this ID to stay the same across multiple runs.

Gets property | `Gimp.Unit:id`

#### Return value

Type: `gint32`

The unit’s ID.